org.eclipse.emf.cdo.server.db.mapping

## Interface IListMapping3

- All Superinterfaces:
    IListMapping, IListMapping2

      public interface IListMapping3
      extends IListMapping2

  Extension interface to `IListMapping2`.
  Since:
    4.4
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setClassMapping(IClassMapping classMapping)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.db.mapping.IListMapping2

      `addRangedChunkWhere, addSimpleChunkWhere`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.db.mapping.IListMapping

      `getDBTables, getFeature, objectDetached, queryXRefs, readChunks, readValues, writeValues`

- - ### Method Detail

    - #### setClassMapping

          void setClassMapping(IClassMapping classMapping)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html